// ----------------------------------------------------
// Processing Rennes du 4 au 5 Novembre 2011
// ----------------------------------------------------
// http://data.keolis-rennes.com/fr/les-donnees/donnees-et-api.html
// Unfolding : http://unfoldingmaps.org/ 
// GLGraphics : http://glgraphics.sourceforge.net/
// Triangulate : http://wiki.processing.org/w/Triangulation
// Pictos : http://data.keolis-rennes.com/fr/les-donnees/donnees-telechargeables/donnees-graphiques.html


String keolisCle = "####";
String keolisCommande = "getbikestations";
String keolisVersion = "2.0";

void setup() 
{
  // Addresse à laquelle nous allons accéder aux données
  String url = "http://data.keolis-rennes.com/xml/?version="+keolisVersion+"&key="+keolisCle+"&cmd="+keolisCommande;
  
  // Connexion à l'API et chargement des données avec la clé et la commande
  String lines[] = loadStrings(url);

  // Impression du résultat sur la console
  for (int i=0;i<lines.length;i++)
    println(lines[i]);
}

void draw() 
{
  // On ne dessine rien pour l'instant
}

