class Station
{
  String nom;
  Location position;
  int slotsDisponibles;
  int velosDisponibles;
  
  Station(XMLElement stationXML)
  {
    XMLElement nomXML = stationXML.getChild("name");
    XMLElement latXML = stationXML.getChild("latitude");
    XMLElement lonXML = stationXML.getChild("longitude");
    XMLElement sloXML = stationXML.getChild("slotsavailable");
    XMLElement bkeXML = stationXML.getChild("bikesavailable");

    this.nom = nomXML.getContent();
    this.position = new Location(Float.valueOf(latXML.getContent()), Float.valueOf(lonXML.getContent()));  
    this.slotsDisponibles = int(sloXML.getContent());
    this.velosDisponibles = int(bkeXML.getContent());
  }

  
}

